com.io7m.jtensors

## Interface MatrixReadable4x4DType

- All Superinterfaces:
    MatrixReadable2x2DType, MatrixReadable3x3DType, MatrixReadableDType
  All Known Subinterfaces:
    Matrix4x4DType, MatrixByteBuffered4x4DType, MatrixDirect4x4DType, MatrixDirectReadable4x4DType, PMatrix4x4DType<T0,T1>, PMatrixByteBuffered4x4DType<T0,T1>, PMatrixDirect4x4DType<T0,T1>, PMatrixDirectReadable4x4DType<T,U>, PMatrixReadable4x4DType<T,U>
  All Known Implementing Classes:
    MatrixByteBufferedM4x4D, MatrixDirectM4x4D, MatrixHeapArrayM4x4D, MatrixI4x4D, PMatrixByteBufferedM4x4D, PMatrixDirectM4x4D, PMatrixHeapArrayM4x4D, PMatrixI4x4D

      public interface MatrixReadable4x4DType
      extends MatrixReadable3x3DType

  'Read' interface to 4x4 matrices with `double` elements.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getR0C3D()`
    `double` | `getR1C3D()`
    `double` | `getR2C3D()`
    `double` | `getR3C0D()`
    `double` | `getR3C1D()`
    `double` | `getR3C2D()`
    `double` | `getR3C3D()`
    `<V extends VectorWritable4DType> void` | `getRow4D(int row, V out)` Retrieve row `row`, saving the result to `out`.
    `<V extends VectorWritable4DType> void` | `getRow4DUnsafe(int row, V out)` Retrieve row `row`, saving the result to `out`.

    - ### Methods inherited from interface com.io7m.jtensors.MatrixReadable3x3DType

      `getR0C2D, getR1C2D, getR2C0D, getR2C1D, getR2C2D, getRow3D, getRow3DUnsafe`

    - ### Methods inherited from interface com.io7m.jtensors.MatrixReadable2x2DType

      `getR0C0D, getR0C1D, getR1C0D, getR1C1D, getRow2D, getRow2DUnsafe`

    - ### Methods inherited from interface com.io7m.jtensors.MatrixReadableDType

      `getRowColumnD`

- - ### Method Detail

    - #### getRow4D

          <V extends VectorWritable4DType> void getRow4D(int row,
                                                         V out)

      Retrieve row `row`, saving the result to `out`.
      Type Parameters:
        `V` - The precise type of writable vector.
      Parameters:
        `row` - The index of the row, starting at `0`.
        `out` - The output vector.

    - #### getRow4DUnsafe

          <V extends VectorWritable4DType> void getRow4DUnsafe(int row,
                                                               V out)

      Retrieve row `row`, saving the result to `out`. No bounds checking is performed for `row`, and out-of-bounds values result in undefined behaviour.
      Type Parameters:
        `V` - The precise type of writable vector.
      Parameters:
        `row` - The index of the row, starting at `0`.
        `out` - The output vector.

    - #### getR0C3D

          double getR0C3D()

      Returns:
        The value at row 0, column 3

    - #### getR1C3D

          double getR1C3D()

      Returns:
        The value at row 1, column 3

    - #### getR2C3D

          double getR2C3D()

      Returns:
        The value at row 2, column 3

    - #### getR3C0D

          double getR3C0D()

      Returns:
        The value at row 3, column 0

    - #### getR3C1D

          double getR3C1D()

      Returns:
        The value at row 3, column 1

    - #### getR3C2D

          double getR3C2D()

      Returns:
        The value at row 3, column 2

    - #### getR3C3D

          double getR3C3D()

      Returns:
        The value at row 3, column 3

Copyright © 2015 <code@io7m.com> http://io7m.com